system_error File Reference

Go to the source code of this file.

## Classes

class | std::_V2::error_category
class | std::error_code
class | std::error_condition
struct | std::hash< error_code >
struct | std::hash< error_condition >
struct | std::is_error_code_enum< _Tp >
struct | std::is_error_condition_enum< _Tp >
class | std::system_error

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_SYSTEM_ERROR

## Functions

const error_category & | std::generic_category () noexcept
const error_category & | std::system_category () noexcept

## Variables

template<typename _Tp>
constexpr bool | std::is_error_code_enum_v
template<typename _Tp>
constexpr bool | std::is_error_condition_enum_v
error_code | std::make_error_code (errc) noexcept
error_condition | std::make_error_condition (errc) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file system_error.

## Macro Definition Documentation

## _GLIBCXX_SYSTEM_ERROR

#define _GLIBCXX_SYSTEM_ERROR

Definition at line 30 of file system_error.